Page MenuHomePhabricator

Null edits on 'Update summary' action shouldn't be counted in history or the Resolved header
Closed, DuplicatePublic

Description

  1. As a logged in user, create a Summary for any topic in a Flow page.
  2. Log in as a different user and select 'Mark as resolved' option for the topic for which the Summary was created in #1.
  3. When 'Mark as resolved' is selected, the Summary presents only one button - 'Update summary'. Without not updating anything, click on 'Update summary'.

The topic will be marked as resolved(CORRECT), but the topic displays now "Summary last edited by [a user who did not, in fact, update the summary] few seconds ago "

'View history' shows the entry for these non-existing updates; when the history diff is clicked:

e.g. on http://test.wikimedia.beta.wmflabs.org/w/index.php?title=Talk:ET4&action=history

 (cur prev	topic) 22:16, 28 July 2015 . . ET1 (Talk | contribs) edited topic summary on June 18 - 01 . . (0)‎

(cur prev	topic) 22:16, 28 July 2015 . . ET1 (Talk | contribs) marked the topic June 18 - 01 as resolved (marked as resolved) . . (0)‎
(cur prev	topic) 22:15, 28 July 2015 . . Etonkovidova (Talk | contribs) created topic summary on June 18 - 01 . . (+64)‎

Event Timeline

Etonkovidova updated the task description. (Show Details)
Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2015, 10:23 PM
DannyH renamed this task from 'Mark as resolved' action forces 'Update summary' without actual update to Null edits on 'Update summary' action shouldn't be counted in history or the Resolved header.Jul 29 2015, 11:33 PM
DannyH set Security to None.
DannyH triaged this task as Normal priority.
DannyH moved this task from Untriaged to Near-Term Interest on the Collaboration-Team-Triage board.